## lime-forensics 1.1

=== src/Makefile ===
# LiME - Linux Memory Extractor
# Copyright (c) 2011-2013 Joe Sylve - 504ENSICS Labs
#
#
# Author:
# Joe Sylve       - joe.sylve@gmail.com, @jtsylve
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
# General Public License for more details. 
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 


obj-m := lime.o
lime-objs := tcp.o disk.o main.o

KVER := $(shell uname -r)

PWD := $(shell pwd)

default:
	$(MAKE) -C /lib/modules/$(KVER)/build M=$(PWD) modules
	strip --strip-unneeded lime.ko
	mv lime.ko lime-$(KVER).ko
	
	$(MAKE) tidy

tidy:
	rm -f *.o *.mod.c Module.symvers Module.markers modules.order \.*.o.cmd \.*.ko.cmd \.*.o.d
	rm -rf \.tmp_versions

clean:
	$(MAKE) tidy
	rm -f *.ko

## lime-forensics 1.1-r17+dfsg

=== debian/changelog ===
lime-forensics (1.1-r17+dfsg-2) unstable; urgency=medium

  * Bumped Standards-Version from 3.9.4 to 3.9.5.
  * debian/README.source: added a header to the file (cosmetic action).
  * debian/source/: added an override to reply to check-gpg-signature.
  * debian/watch: improved.

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Mon, 30 Dec 2013 00:33:32 -0200

lime-forensics (1.1-r17+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #728160)

 -- Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>  Mon, 28 Oct 2013 09:35:09 -0200

=== debian/control ===
Source: lime-forensics
Section: kernel
Priority: optional
Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
Uploaders: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
Build-Depends: debhelper (>=9), dkms
Standards-Version: 3.9.5
Homepage: https://code.google.com/p/lime-forensics
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=forensics/lime-forensics.git;a=summary
Vcs-Git: git://anonscm.debian.org/forensics/lime-forensics.git

Package: lime-forensics-dkms
Architecture: all
Depends: ${misc:Depends}, dkms
Description: kernel module to memory dump (DKMS)
 LiME (Linux Memory Extractor, formerly DMD) is a Loadable Kernel
 Module (LKM), which allows the acquisition of volatile memory (RAM)
 from Linux and Linux-based devices, such as those powered by Android.
 In others words, you can use it to get a memory image from a machine.
 .
 The tool supports acquiring memory either to the file system of the
 device or over the network. LiME is unique in that it is the first
 tool that allows full memory captures from Android devices. It also
 minimizes its interaction between user and kernel space processes
 during acquisition. It will produce memory captures that are more
 forensically sound than those of other tools designed for Linux
 memory acquisition. The dump format provided as "lime" is fully
 compatible with volatility framework.
 .
 This package provides the source code for the lime-forensics kernel
 modules to be build with dkms.
 .
 Kernel source or headers are required to compile these modules.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d" " -f2)

%:
	dh $@ --parallel --with dkms

override_dh_install:
	dh_install src/* usr/src/lime-forensics-$(VERSION)/

override_dh_dkms:
	dh_dkms -V $(VERSION)

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//" \
https://code.google.com/p/lime-forensics/downloads/list .*/lime-forensics-(\d\S*)\.tar\.gz

## lime-forensics 1.3~svn.r18

=== debian/changelog ===
lime-forensics (1.3~svn.r18-1) unstable; urgency=medium

  * New upstream release.
  * Updated my email address.
  * debian/control: added the Suggests and Enhances fields.
  * debian/copyright: updated the upstream and packaging years.
  * debian/doc-base: added to register the PDF file.
  * debian/docs: added to install the manual provided by upstream.
  * debian/lintian-overrides: removed because the explanation used by me
    is useless and I prefer leave this type of the lintian notice now. A
    new mentality on my part. (lintian said no-upstream-changelog)
  * debian/README.Debian: removed a reference to the URL of the PDF manual
    because the file (and source) was included in upstream source code.
  * debian/README.source: removed because it is useless now. The upstream
    added a source code for the final PDF manual.
  * debian/source/lintian-overrides: removed as requested by Paul Wise.
    Thanks to Paul for explanations about the idea of the GPG sign check.
  * debian/watch: updated to be compliant with the new Google Code site style.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 13 Jul 2014 17:30:06 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: kernel
 Priority: optional
 Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
-Uploaders: Joao Eriberto Mota Filho <eriberto@eriberto.pro.br>
+Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper (>=9), dkms
 Standards-Version: 3.9.5
 Homepage: https://code.google.com/p/lime-forensics
@@ -12,6 +12,8 @@
 Package: lime-forensics-dkms
 Architecture: all
 Depends: ${misc:Depends}, dkms
+Suggests: volatility
+Enhances: volatility
 Description: kernel module to memory dump (DKMS)
  LiME (Linux Memory Extractor, formerly DMD) is a Loadable Kernel
  Module (LKM), which allows the acquisition of volatile memory (RAM)

## lime-forensics 1.3~svn.r21

=== debian/changelog ===
lime-forensics (1.3~svn.r21-2) unstable; urgency=medium

  * New upstream homepage.
  * Bumped Standards-Version to 3.9.6.
  * debian/control: removed the unnecessary dependency declaration
      for dkms from binary.
  * debian/watch: updated.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 26 Oct 2014 21:03:05 -0200

lime-forensics (1.3~svn.r21-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: updated the Vcs-Browser field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 15 Aug 2014 11:18:17 -0300

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
 Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper (>=9), dkms
-Standards-Version: 3.9.5
-Homepage: https://code.google.com/p/lime-forensics
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=forensics/lime-forensics.git;a=summary
+Standards-Version: 3.9.6
+Homepage: https://github.com/504ensicsLabs/LiME
+Vcs-Browser: http://anonscm.debian.org/cgit/forensics/lime-forensics.git
 Vcs-Git: git://anonscm.debian.org/forensics/lime-forensics.git
 
 Package: lime-forensics-dkms
 Architecture: all
-Depends: ${misc:Depends}, dkms
+Depends: ${misc:Depends}
 Suggests: volatility
 Enhances: volatility
 Description: kernel module to memory dump (DKMS)

=== debian/watch ===
version=3
# No release yet, but I believe that this will work in the future.
https://github.com/504ensicsLabs/LiME/releases .*/archive/(\d\S+)\.tar\.(?:bz2|gz|xz)

## lime-forensics 1.4

=== debian/changelog ===
lime-forensics (1.4-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 12 May 2015 14:07:07 -0300

lime-forensics (1.4-2) unstable; urgency=medium

  * Upload to unstable.
  * debian/copyright:
      - Dropping dot-zero from GPL license short name.
      - Updated the packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 05 May 2015 10:43:34 -0300

lime-forensics (1.4-1) experimental; urgency=medium

  * New upstream release.
  * debian/copyright: updated the upstream name.
  * debian/docs: added the README.md file.
  * debian/doc-base: updated to support the new PDF manual (1.4 version).
  * debian/watch: updated. The upstream uses tags in GitHub now.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 07 Nov 2014 15:01:54 -0200

## lime-forensics 1.5

=== debian/changelog ===
lime-forensics (1.5-1) unstable; urgency=medium

  * New upstream release. (Closes: #788273, LP: #1455687)
  * debian/changelog: updated the upstream copyright years.
  * debian/control: added Provides field to help when installing the package.
  * debian/doc-base: removed because the upstream no longer provides a manual
      inside the tarball.
  * debian/docs: removed the reference to *pdf (file no longer provided by
      the upstream).

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 22 Jun 2015 09:30:39 -0300

## lime-forensics 1.7

=== debian/changelog ===
lime-forensics (1.7-1) unstable; urgency=medium

  * New upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 22 Jul 2015 16:01:59 -0300

## lime-forensics 1.7.1

=== debian/changelog ===
lime-forensics (1.7.1-1ubuntu1) wily; urgency=medium

  * Fix FTBS with linux 4.2
    debian/patches/sock-create-kern.patch 

 -- Tim Gardner <tim.gardner@canonical.com>  Thu, 06 Aug 2015 08:45:21 -0600

lime-forensics (1.7.1-1) unstable; urgency=medium

  * New upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sat, 01 Aug 2015 15:34:05 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: lime-forensics
 Section: kernel
 Priority: optional
-Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
 Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper (>=9), dkms
 Standards-Version: 3.9.6
@@ -14,6 +15,7 @@
 Depends: ${misc:Depends}
 Suggests: volatility
 Enhances: volatility
+Provides: lime-forensics
 Description: kernel module to memory dump (DKMS)
  LiME (Linux Memory Extractor, formerly DMD) is a Loadable Kernel
  Module (LKM), which allows the acquisition of volatile memory (RAM)

## lime-forensics 1.7.2

=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # LiME - Linux Memory Extractor
-# Copyright (c) 2011-2013 Joe Sylve - 504ENSICS Labs
+# Copyright (c) 2011-2014 Joe Sylve - 504ENSICS Labs
 #
 #
 # Author:
@@ -23,21 +23,33 @@
 obj-m := lime.o
 lime-objs := tcp.o disk.o main.o
 
-KVER := $(shell uname -r)
+KVER ?= $(shell uname -r)
 
 PWD := $(shell pwd)
+
+.PHONY: modules modules_install clean distclen help
 
 default:
 	$(MAKE) -C /lib/modules/$(KVER)/build M=$(PWD) modules
 	strip --strip-unneeded lime.ko
 	mv lime.ko lime-$(KVER).ko
-	
-	$(MAKE) tidy
 
-tidy:
+debug:
+	KCFLAGS="-DLIME_DEBUG" $(MAKE) -C /lib/modules/$(KVER)/build M=$(PWD) modules 
+	strip --strip-unneeded lime.ko
+	mv lime.ko lime-$(KVER).ko
+
+modules:	main.c disk.c tcp.c lime.h
+	$(MAKE) -C /lib/modules/$(KVER)/build M=$(PWD) $@
+	strip --strip-unneeded lime.ko
+
+modules_install:	modules
+	$(MAKE) -C /lib/modules/$(KVER)/build M=$(PWD) $@
+
+clean:
 	rm -f *.o *.mod.c Module.symvers Module.markers modules.order \.*.o.cmd \.*.ko.cmd \.*.o.d
 	rm -rf \.tmp_versions
 
-clean:
-	$(MAKE) tidy
+distclean: mrproper
+mrproper:	clean
 	rm -f *.ko

=== debian/changelog ===
lime-forensics (1.7.2-1ubuntu1) xenial; urgency=medium

  * Add support for 4.11 kernels. (LP: #1727337)
    - 0001-Fixed-issue-with-compiling-on-kernels-4.11.patch

 -- Marcelo Henrique Cerri <marcelo.cerri@canonical.com>  Fri, 27 Oct 2017 12:15:19 -0200

lime-forensics (1.7.2-1) unstable; urgency=medium

  * New upstream release. This release add a patch sent to me by Tim Gardner
    (from canonical.com) and forwarded to upstream. Thanks to Tim.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 07 Aug 2015 07:43:50 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: lime-forensics
 Section: kernel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
+Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
 Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper (>=9), dkms
 Standards-Version: 3.9.6

=== debian/watch ===
version=3
https://github.com/504ensicsLabs/LiME/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## lime-forensics 1.7.3

=== src/Makefile ===
--- 
+++ 
@@ -30,21 +30,21 @@
 .PHONY: modules modules_install clean distclen help
 
 default:
-	$(MAKE) -C /lib/modules/$(KVER)/build M=$(PWD) modules
+	$(MAKE) -C /lib/modules/$(KVER)/build M="$(PWD)" modules
 	strip --strip-unneeded lime.ko
 	mv lime.ko lime-$(KVER).ko
 
 debug:
-	KCFLAGS="-DLIME_DEBUG" $(MAKE) -C /lib/modules/$(KVER)/build M=$(PWD) modules 
+	KCFLAGS="-DLIME_DEBUG" $(MAKE) -C /lib/modules/$(KVER)/build M="$(PWD)" modules 
 	strip --strip-unneeded lime.ko
 	mv lime.ko lime-$(KVER).ko
 
 modules:	main.c disk.c tcp.c lime.h
-	$(MAKE) -C /lib/modules/$(KVER)/build M=$(PWD) $@
+	$(MAKE) -C /lib/modules/$(KVER)/build M="$(PWD)" $@
 	strip --strip-unneeded lime.ko
 
 modules_install:	modules
-	$(MAKE) -C /lib/modules/$(KVER)/build M=$(PWD) $@
+	$(MAKE) -C /lib/modules/$(KVER)/build M="$(PWD)" $@
 
 clean:
 	rm -f *.o *.mod.c Module.symvers Module.markers modules.order \.*.o.cmd \.*.ko.cmd \.*.o.d

=== debian/changelog ===
lime-forensics (1.7.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 14 Aug 2016 16:54:19 -0300

lime-forensics (1.7.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Updated the Vcs-* fields to use https instead of http and git.
  * debian/copyright: updated the upstream and packaging copyright years.
  * debian/gbp.conf: not used by me... Removed.
  * debian/watch: bumped to version 4.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 08 Aug 2016 19:16:21 -0300

## lime-forensics 1.7.5

=== debian/changelog ===
lime-forensics (1.7.5-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 04 Oct 2016 11:58:30 -0300

lime-forensics (1.7.5-1) unstable; urgency=medium

  * New upstream release.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 23 Aug 2016 23:44:29 -0300

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,10 @@
 Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
 Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper (>=9), dkms
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/504ensicsLabs/LiME
-Vcs-Browser: http://anonscm.debian.org/cgit/forensics/lime-forensics.git
-Vcs-Git: git://anonscm.debian.org/forensics/lime-forensics.git
+Vcs-Browser: https://anonscm.debian.org/git/forensics/lime-forensics.git
+Vcs-Git: https://anonscm.debian.org/git/forensics/lime-forensics.git
 
 Package: lime-forensics-dkms
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d" " -f2)
 
 %:
-	dh $@ --parallel --with dkms
+	dh $@ --with dkms
 
 override_dh_install:
 	dh_install src/* usr/src/lime-forensics-$(VERSION)/

## lime-forensics 1.7.6

=== debian/changelog ===
lime-forensics (1.7.6-1) unstable; urgency=medium

  * New upstream release.
  * Bumped DH level to 10.
  * debian/copyright: updated the packaging copyright years.
  * debian/rules: used -S option in dpkg-parsechangelog command to simplify to
    get VERSION value.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 02 Jan 2017 01:13:55 -0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
 Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>=9), dkms
+Build-Depends: debhelper (>= 10), dkms
 Standards-Version: 3.9.8
 Homepage: https://github.com/504ensicsLabs/LiME
 Vcs-Browser: https://anonscm.debian.org/git/forensics/lime-forensics.git

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 #export DH_VERBOSE=1
 
-VERSION=$(shell dpkg-parsechangelog | grep ^Version: | cut -d" " -f2)
+VERSION=$(shell dpkg-parsechangelog -S Version)
 
 %:
 	dh $@ --with dkms

## lime-forensics 1.7.8

=== src/Makefile ===
--- 
+++ 
@@ -13,11 +13,11 @@
 # This program is distributed in the hope that it will be useful, but
 # WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
-# General Public License for more details. 
+# General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
 # along with this program; if not, write to the Free Software
-# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA 
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 
 
 obj-m := lime.o
@@ -27,7 +27,7 @@
 
 PWD := $(shell pwd)
 
-.PHONY: modules modules_install clean distclen help
+.PHONY: modules modules_install clean distclean debug
 
 default:
 	$(MAKE) -C /lib/modules/$(KVER)/build M="$(PWD)" modules
@@ -35,15 +35,15 @@
 	mv lime.ko lime-$(KVER).ko
 
 debug:
-	KCFLAGS="-DLIME_DEBUG" $(MAKE) -C /lib/modules/$(KVER)/build M="$(PWD)" modules 
+	KCFLAGS="-DLIME_DEBUG" $(MAKE) -C /lib/modules/$(KVER)/build M="$(PWD)" modules
 	strip --strip-unneeded lime.ko
 	mv lime.ko lime-$(KVER).ko
 
-modules:	main.c disk.c tcp.c lime.h
+modules:    main.c disk.c tcp.c lime.h
 	$(MAKE) -C /lib/modules/$(KVER)/build M="$(PWD)" $@
 	strip --strip-unneeded lime.ko
 
-modules_install:	modules
+modules_install:    modules
 	$(MAKE) -C /lib/modules/$(KVER)/build M="$(PWD)" $@
 
 clean:
@@ -51,5 +51,5 @@
 	rm -rf \.tmp_versions
 
 distclean: mrproper
-mrproper:	clean
-	rm -f *.ko 
+mrproper:    clean
+	rm -f *.ko

=== debian/changelog ===
lime-forensics (1.7.8-1) unstable; urgency=medium

  * New upstream release. (LP: #1691833)
  * debian/control: bumped Standards-Version to 4.0.0.
  * debian/copyright: updated the upstream copyright years.
  * debian/rules: using $(DEB_VERSION) variable instead of
    dpkg-parsechangelog command.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 19 Jun 2017 20:39:07 -0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
 Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
 Build-Depends: debhelper (>= 10), dkms
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/504ensicsLabs/LiME
 Vcs-Browser: https://anonscm.debian.org/git/forensics/lime-forensics.git
 Vcs-Git: https://anonscm.debian.org/git/forensics/lime-forensics.git

=== debian/watch ===
version=4
https://github.com/504ensicsLabs/LiME/releases .*/archive/v?(\d\S+)\.tar\.(?:bz2|gz|xz)

## lime-forensics 1.8

=== src/Makefile ===
--- 
+++ 
@@ -21,30 +21,32 @@
 
 
 obj-m := lime.o
-lime-objs := tcp.o disk.o main.o
+lime-objs := tcp.o disk.o main.o hash.o
 
 KVER ?= $(shell uname -r)
+
+KDIR ?= /lib/modules/$(KVER)/build
 
 PWD := $(shell pwd)
 
 .PHONY: modules modules_install clean distclean debug
 
 default:
-	$(MAKE) -C /lib/modules/$(KVER)/build M="$(PWD)" modules
+	$(MAKE) -C $(KDIR) M="$(PWD)" modules
 	strip --strip-unneeded lime.ko
 	mv lime.ko lime-$(KVER).ko
 
 debug:
-	KCFLAGS="-DLIME_DEBUG" $(MAKE) -C /lib/modules/$(KVER)/build M="$(PWD)" modules
+	KCFLAGS="-DLIME_DEBUG" $(MAKE) CONFIG_DEBUG_SG=y -C $(KDIR) M="$(PWD)" modules
 	strip --strip-unneeded lime.ko
 	mv lime.ko lime-$(KVER).ko
 
-modules:    main.c disk.c tcp.c lime.h
+modules:    main.c disk.c tcp.c hash.c lime.h
 	$(MAKE) -C /lib/modules/$(KVER)/build M="$(PWD)" $@
 	strip --strip-unneeded lime.ko
 
 modules_install:    modules
-	$(MAKE) -C /lib/modules/$(KVER)/build M="$(PWD)" $@
+	$(MAKE) -C $(KDIR) M="$(PWD)" $@
 
 clean:
 	rm -f *.o *.mod.c Module.symvers Module.markers modules.order \.*.o.cmd \.*.ko.cmd \.*.o.d

=== debian/changelog ===
lime-forensics (1.8-4) unstable; urgency=medium

  * debian/tests/control: added exit 77 on error and restriction skippable.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 17 Dec 2018 13:39:16 -0200

lime-forensics (1.8-3) unstable; urgency=medium

  * debian/tests/control: added isolation-machine as restriction.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 05 Dec 2018 17:24:21 -0200

lime-forensics (1.8-2) unstable; urgency=medium

  * debian/control: added a Recommends field.
  * debian/copyright:
      - Added rights for Raphaël Hertzog and SZ Lin (林上智).
      - Updated packaging copyright years.
  * debian/README.Debian: added how to rebuild the kernel module.
  * debian/tests/control: added to provide a basic test.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 04 Dec 2018 20:18:09 -0200

lime-forensics (1.8-1) unstable; urgency=medium

  * Team upload.
  [ Raphaël Hertzog ]
  * d/control:
    - Update Vcs-Git and Vcs-Browser for the move to salsa.debian.org
    - Update team maintainer address to Debian Security Tools

  [ SZ Lin (林上智) ]
  * New upstream release
  * Add upstream metadata file
  * d/control:
    - Bump debhelper version to 11
    - Bump Standards-Version to 4.2.1
  * d/copyright:
    - Replace "http" with "https" in URL
    - Update upstream copyright years
  * d/compat:
    - Bump compat version to 11

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 05 Sep 2018 14:17:31 +0800

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: lime-forensics
 Section: kernel
 Priority: optional
-Maintainer: Debian Forensics <forensics-devel@lists.alioth.debian.org>
+Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 10), dkms
-Standards-Version: 4.0.0
+Build-Depends: debhelper (>= 11), dkms
+Standards-Version: 4.2.1
 Homepage: https://github.com/504ensicsLabs/LiME
-Vcs-Browser: https://anonscm.debian.org/git/forensics/lime-forensics.git
-Vcs-Git: https://anonscm.debian.org/git/forensics/lime-forensics.git
+Vcs-Browser: https://salsa.debian.org/pkg-security-team/lime-forensics
+Vcs-Git: https://salsa.debian.org/pkg-security-team/lime-forensics.git
 
 Package: lime-forensics-dkms
 Architecture: all
 Depends: ${misc:Depends}
+Recommends: linux-headers-amd64 | linux-headers-686-pae | linux-headers-686 | linux-headers-arm64 | linux-headers-armmp | linux-headers-loongson-3 | linux-headers-marvell | linux-headers-octeon | linux-headers-powerpc64le | linux-headers-s390x | linux-headers
 Suggests: volatility
 Enhances: volatility
 Provides: lime-forensics

## lime-forensics 1.8.1

=== src/Makefile ===
--- 
+++ 
@@ -41,6 +41,10 @@
 	strip --strip-unneeded lime.ko
 	mv lime.ko lime-$(KVER).ko
 
+symbols:
+	$(MAKE) -C $(KDIR) M="$(PWD)" modules
+	mv lime.ko lime-$(KVER).ko
+
 modules:    main.c disk.c tcp.c hash.c lime.h
 	$(MAKE) -C /lib/modules/$(KVER)/build M="$(PWD)" $@
 	strip --strip-unneeded lime.ko

=== debian/changelog ===
lime-forensics (1.8.1-1) unstable; urgency=medium

  * New upstream version 1.8.1.
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field.
  * debian/control: bumped Standards-Version to 4.3.0.
  * debian/copyright: updated upstream and packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 18 Jan 2019 23:56:27 -0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper (>= 11), dkms
-Standards-Version: 4.2.1
+Build-Depends: debhelper-compat (= 12), dkms
+Standards-Version: 4.3.0
 Homepage: https://github.com/504ensicsLabs/LiME
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/lime-forensics
 Vcs-Git: https://salsa.debian.org/pkg-security-team/lime-forensics.git

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with dkms

override_dh_install:
	dh_install src/* usr/src/lime-forensics-$(DEB_VERSION)/

override_dh_dkms:
	dh_dkms -V $(DEB_VERSION)

=== debian/tests/control ===
Test-Command: modprobe lime path=/dev/null format=lime && { lsmod | head; } || exit 77
Depends: @, linux-headers-amd64
Restrictions: needs-root, isolation-machine, skippable

## lime-forensics 1.9

=== debian/changelog ===
lime-forensics (1.9-4) unstable; urgency=medium

  * debian/patches/001_Linux-5.8-Replace-kernel_setsockopt.patch:
      - Patch from Paolo Pisati <paolo.pisati@canonical.com> to replace
        kernel_setsockopt() with sock_set_reuseaddr(). Thanks to Paolo.
      - Original name: 0001-LINUX-5.8-Replace-kernel_setsockopt-with-\
        sock_set_re.patch

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 19 Jul 2020 14:52:30 -0300

lime-forensics (1.9-3) unstable; urgency=medium

  * debian/control:
      - Bumped DH level to 13.
      - Removed volatility from relationship field because it is no longer
        available in Debian.
  * debian/tests/control: created to provide CI test generated by autodep8.
  * debian/upstream/metadata: added new fields: Bug-Database, Bug-Submit,
    Repository and Repository-Browse.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 16 Jul 2020 16:54:11 -0300

lime-forensics (1.9-2) unstable; urgency=medium

  [ Joao Eriberto Mota Filho ]
  * debian/control: bumped Standards-Version to 4.5.0.
  * debian/copyright: updated packaging copyright years.

  [ Samuel Henrique ]
  * Configure git-buildpackage for Debian.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 01 Mar 2020 22:50:57 -0300

lime-forensics (1.9-1) unstable; urgency=medium


  * New upstream version 1.9.
  * debian/control:
      - Added 'Rules-Requires-Root: no' to source stanza.
      - Bumped Standards-Version to 4.4.1.
  * debian/copyright: added packaging rights for Samuel Henrique.

  [ Samuel Henrique ]
  * Added salsa-ci.yml.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Tue, 29 Oct 2019 20:57:30 -0300

lime-forensics (1.8.1-2) unstable; urgency=medium

  * Removed CI test because it is not useful for Debian for now.
    (Closes: #935543)
  * debian/control: bumped Standards-Version to 4.4.0.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 23 Aug 2019 18:17:43 -0300

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,9 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper-compat (= 12), dkms
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 13), dkms
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/504ensicsLabs/LiME
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/lime-forensics
 Vcs-Git: https://salsa.debian.org/pkg-security-team/lime-forensics.git
@@ -13,8 +14,6 @@
 Architecture: all
 Depends: ${misc:Depends}
 Recommends: linux-headers-amd64 | linux-headers-686-pae | linux-headers-686 | linux-headers-arm64 | linux-headers-armmp | linux-headers-loongson-3 | linux-headers-marvell | linux-headers-octeon | linux-headers-powerpc64le | linux-headers-s390x | linux-headers
-Suggests: volatility
-Enhances: volatility
 Provides: lime-forensics
 Description: kernel module to memory dump (DKMS)
  LiME (Linux Memory Extractor, formerly DMD) is a Loadable Kernel

=== debian/tests/control ===
Test-Command: /usr/lib/dkms/dkms-autopkgtest
Restrictions: needs-root, allow-stderr
Depends: dkms
Features: test-name=dkms-autopkgtest

## lime-forensics 1.9.1

=== src/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 
 
 obj-m := lime.o
-lime-objs := tcp.o disk.o main.o hash.o
+lime-objs := tcp.o disk.o main.o hash.o deflate.o
 
 KVER ?= $(shell uname -r)

=== debian/changelog ===
lime-forensics (1.9.1-5) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.6.1.
  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 06 Oct 2022 14:25:24 -0300

lime-forensics (1.9.1-4) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Switch to dh-sequence-dkms.
  * Switch to Testsuite: autopkgtest-pkg-dkms.
  * Closes: #1012244

  [ Joao Eriberto Mota Filho ]
  * debian/control: bumped Standards-Version to 4.6.0.
  * debian/copyright:
      - Added packaging rights for Andreas Backmann.
      - Updated packaging copyright years.
  * debian/salsa-ci.yml: added allow_failure to reprotest until the issue
    isn't solved.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Thu, 02 Jun 2022 23:15:28 -0300

lime-forensics (1.9.1-3) unstable; urgency=medium

  * debian/watch: updated the search rule to make it compliant with new
    standards of the GitHub.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 15 Aug 2021 22:06:04 -0300

lime-forensics (1.9.1-2) unstable; urgency=medium

  * debian/control: bumped Standards-Version to 4.5.1.
  * debian/copyright: updated packaging copyright years.
  * debian/patches/10_fix_5.10.patch: created to fix build and install for
    kernel 5.10. Thanks to Hans-Peter Jansen <hp@urpla.net>. (Closes: #979978).

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Wed, 13 Jan 2021 01:10:57 -0300

lime-forensics (1.9.1-1) unstable; urgency=medium

  * New upstream version 1.9.1.
  * debian/copyright: updated upstream copyright years.
  * debian/patches/001_Linux-5.8-Replace-kernel_setsockopt.patch: removed. The
    upstream fixed the source code. Thanks!
  * debian/upstream/metadata: added Archive field.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 30 Aug 2020 23:22:45 -0300

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper-compat (= 13), dkms
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-dkms
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://github.com/504ensicsLabs/LiME
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/lime-forensics
 Vcs-Git: https://salsa.debian.org/pkg-security-team/lime-forensics.git
+Testsuite: autopkgtest-pkg-dkms
 
 Package: lime-forensics-dkms
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,7 @@
 include /usr/share/dpkg/pkg-info.mk
 
 %:
-	dh $@ --with dkms
+	dh $@
 
 override_dh_install:
 	dh_install src/* usr/src/lime-forensics-$(DEB_VERSION)/

## lime-forensics 1.10.1

=== debian/changelog ===
lime-forensics (1.10.1-1) unstable; urgency=medium

  * New upstream version 1.10.1. (Closes: #1106705)
  * debian/control: bumped Standards-Version to 4.7.2.
  * debian/patches/: removed patches applied by upstream (thanks):
      - 10_fix_5.10.patch
      - 20_fix-arm-build.patch

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Mon, 18 Aug 2025 13:00:40 -0300

lime-forensics (1.9.1-8) unstable; urgency=medium

  * Fixed a mistake from commit 8e4c88a (Salsa), reverting two upstream files
    (src/disk.c and src/tcp.c) to original. In that commit, a new patch (10)
    was committed without a previous removing, changing the upstream file
    contents.
  * debian/patches/20_fix-arm-build.patch: created to fix a FTBFS on ARM
    architectures. Thanks to Andreas Beckmann <anbe@debian.org>.
    (Closes: #1100959)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 21 Mar 2025 15:32:15 -0300

lime-forensics (1.9.1-7) unstable; urgency=medium

  * debian/control: removed no longer needed pahole from Depends field.
    (See #1098706)

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Sun, 02 Mar 2025 20:46:07 -0300

lime-forensics (1.9.1-6) unstable; urgency=medium

  [ Andreas Beckmann ]
  * dkms.conf: Set AUTOINSTALL="yes".  (Closes: #1057113)
  * Remove the Debian revision from the dkms module version.

  [ Joao Eriberto Mota Filho ]
  * debian/control:
      - Added pahole to Depends field.
      - Bumped Standards-Version to 4.7.0.
  * debian/copyright:
      - Converted the last paragraph of the GPL-2 in a comment.
      - Updated packaging copyright years.

 -- Joao Eriberto Mota Filho <eriberto@debian.org>  Fri, 28 Feb 2025 15:18:33 -0300

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: Debian Security Tools <team+pkg-security@tracker.debian.org>
 Uploaders: Joao Eriberto Mota Filho <eriberto@debian.org>
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-dkms
-Standards-Version: 4.6.1
+Build-Depends: debhelper-compat (= 13), dh-sequence-dkms
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/504ensicsLabs/LiME
 Vcs-Browser: https://salsa.debian.org/pkg-security-team/lime-forensics

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_install:
	dh_install src/* usr/src/lime-forensics-$(DEB_VERSION_UPSTREAM)/

=== debian/watch ===
version=4
https://github.com/504ensicsLabs/LiME/tags .*/tags/v?(\d\S+)\.tar\.(?:bz2|gz|xz)
